Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerManagement

    java.lang.Object
      org.wso2.wsas.ServerManagement

    public class ServerManagement

extends java.lang.Object

Constructor Summary
`ServerManagement()`
`ServerManagement(java.util.Map inTransports)`

Method Summary
`void` | `endMaintenance()` Method to change the state of a node from "maintenance" to "normal"
`void` | `startMaintenance()` Method to switch a node to maintenance mode.
`void` | `waitForRequestCompletion()` Wait till all service requests have been serviced.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerManagement

    public ServerManagement(java.util.Map inTransports)

### ServerManagement

    public ServerManagement()

Method Detail

### startMaintenance

    public void startMaintenance()
                          throws java.lang.Exception

  Method to switch a node to maintenance mode.

  Here is the sequence of events:

  - Client calls this method
  - The server stops accepting new requests/connections, but continues to stay alive so that old requests & connections can be served
  - Once all requests have been processed, the method returns

  Throws:
    `java.lang.Exception`

### waitForRequestCompletion

    public void waitForRequestCompletion()
                                  throws java.lang.Exception

  Wait till all service requests have been serviced. This method will only wait for a maximum of `TIMEOUT`

  Throws:
    `java.lang.Exception` - If an error occurs while trying to connect to the Tomcat MBean

### endMaintenance

    public void endMaintenance()
                        throws java.lang.Exception

  Method to change the state of a node from "maintenance" to "normal"

  Throws:
    `java.lang.Exception` - If an error occurs while trying to connect to the Tomcat MBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD